package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableSetLifecycle extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLExpr lifecycle;

   public SQLExpr getLifecycle() {
      return this.lifecycle;
   }

   public void setLifecycle(SQLExpr comment) {
      if (comment != null) {
         comment.setParent(this);
      }

      this.lifecycle = comment;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.lifecycle);
      }

      visitor.endVisit(this);
   }
}
